### Hierarchy

- OfferShareDataRepository

### Implemented by

- OfferShareDataRepositoryImpl

## Index

### Methods

- acceptShareData
- getShareData

## Methods

### acceptShareData

- acceptShareData(searchId: number, worth: string): Promise<void>

- - Defined in repository/offer/OfferShareDataRepository.ts:7

  #### Parameters

  - ##### searchId: number

  - ##### worth: string

  #### Returns Promise<void>

### getShareData

- getShareData(owner: string, accepted: boolean): Promise<Array<OfferShareData>>

- - Defined in repository/offer/OfferShareDataRepository.ts:5

  #### Parameters

  - ##### owner: string

  - ##### accepted: boolean

  #### Returns Promise<Array<OfferShareData>>

Generated using TypeDoc